      SUBROUTINE DEFPS(IDEFPS,SIG,ANG,ICADPS,HELPPS,IDSEUL,IOPT,ILANG)
      LOGICAL*4 SIG
      CHARACTER*14 HELPPS
C
      IF (IOPT.NE.0) THEN
        IF (IDSEUL.EQ.1) THEN
          IDEFPS = 8
        ELSEIF (IDSEUL.EQ.2) THEN
          IDEFPS = 9
        ELSE
          IDEFPS = 0
          IF (.NOT.SIG)    IDEFPS = IDEFPS+1
          IF (ICADPS.EQ.1) IDEFPS = IDEFPS+2
          IF (ANG.EQ.-90.) IDEFPS = IDEFPS+4
        ENDIF
      ENDIF
      IF (IDEFPS.EQ.8) THEN
        IDSEUL = 1
        SIG = .FALSE.
        ICADPS = -1
        IF (ILANG.EQ.0) THEN
          HELPPS(1:14) = ' Dessin seul  '
        ELSE
          HELPPS(1:14) = ' Picture alone'
        ENDIF
        ANG = 0.
        RETURN
      ELSEIF (IDEFPS.EQ.9) THEN
        IDSEUL = 2
        SIG = .FALSE.
        ICADPS = 1
        IF (ILANG.EQ.0) THEN
          HELPPS(1:14) = ' Table seule  '
        ELSE
          HELPPS(1:14) = ' Table alone  '
        ENDIF
        ANG = 0.
        RETURN
      ELSE
        IDSEUL = 0
      ENDIF
      I = IDEFPS
Cfj      IF (MOD(I,2).EQ.0) THEN
Cfj        SIG = .TRUE.
Cfj        HELPPS(1:5) = 'sign|'
Cfj      ELSE
Cfj        SIG = .FALSE.
Cfj        HELPPS(1:5) = '     '
Cfj      ENDIF
      SIG = .FALSE.
      I = I/2
Cfj      IF (MOD(I,2).EQ.0) THEN
Cfj        ICADPS = -1
Cfj        HELPPS(6:10) = '    |'
Cfj      ELSE
Cfj        ICADPS = 1
Cfj        HELPPS(6:10) = 'info|'
Cfj      ENDIF
      IF (MOD(I,2).EQ.0) THEN
        ICADPS = -1
        HELPPS(1:6) = 'noinf|'
      ELSE
        ICADPS = 1
        HELPPS(1:6) = ' info|'
      ENDIF
      I = I/2
      IF (MOD(I,2).EQ.0) THEN
        ANG = 0.
        HELPPS(7:14) = 'portrait'
      ELSE
        ANG = -90.
        HELPPS(7:14) = 'landscap'
      ENDIF
      END
C--------------------------------------------------------------------
      SUBROUTINE PTIFON(FAFA,IFONT0,IFONT1,IFONT2,IFONT3,IFONT4,IFONT5
     &                      ,IFONT7,IFONT8,IEPBOR)
      IF (FAFA.LT.0.4) THEN
        IFONT0 = 9
        IFONT1 = 9
        IFONT2 = 9
        IFONT3 = 9
        IFONT4 = 0
        IFONT5 = 6
        IFONT7 = 9
        IFONT8 = 9
        IEPBOR = 2
      ELSEIF (FAFA.LT.0.5) THEN
        IFONT0 = 9
        IFONT1 = 0
        IFONT2 = 0
        IFONT3 = 9
        IFONT4 = 6
        IFONT5 = 3
        IFONT7 = 9
        IFONT8 = 9
        IEPBOR = 2
      ELSEIF (FAFA.LT.0.6) THEN
        IFONT0 = 9
        IFONT1 = 0
        IFONT2 = 6
        IFONT3 = 0
        IFONT4 = 3
        IFONT5 = 2
        IFONT7 = 9
        IFONT8 = 9
        IEPBOR = 2
      ELSEIF (FAFA.LT.0.8) THEN
        IFONT0 = 9
        IFONT1 = 0
        IFONT2 = 3
        IFONT3 = 6
        IFONT4 = 2
        IFONT5 = 4
        IFONT7 = 14
        IFONT8 = 15
        IEPBOR = 4
      ELSEIF (FAFA.LT.0.9) THEN
        IFONT0 = 9
        IFONT1 = 0
        IFONT2 = 3
        IFONT3 = 6
        IFONT4 = 2
        IFONT5 = 4
        IFONT7 = 12
        IFONT8 = 13
        IEPBOR = 4
      ELSE
        IFONT0 = 0
        IFONT1 = 1
        IFONT2 = 2
        IFONT3 = 3
        IFONT4 = 4
        IFONT5 = 5
        IFONT7 = 7
        IFONT8 = 8
        IEPBOR = 6
      ENDIF
      END
